#pragma once

#include "CoreMinimal.h"
#include "SettingsSubCategory.h"
#include "InstancedStruct.h"
#include "UserSettingsSubCategoryData.generated.h"

USTRUCT(BlueprintType)
struct FUserSettingsSubCategoryData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	SettingsSubCategory SubCategory;

	UPROPERTY(EditAnywhere)
	TArray<FInstancedStruct> UserSettings;

public:
	DEADBYDAYLIGHT_API FUserSettingsSubCategoryData();
};

FORCEINLINE uint32 GetTypeHash(const FUserSettingsSubCategoryData) { return 0; }
